#
# spec file for package perl-XXX
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-XXX
Version:        0.35
Release:        pm152.2.1
%define cpan_name XXX
Summary:        See Your Data in the Nude
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/I/IN/INGY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(YAML::PP) >= 0.018
Requires:       perl(YAML::PP) >= 0.018
%{perl_requires}

%description
XXX.pm exports a function called XXX that you can put just about anywhere
in your Perl code to make it die with a YAML dump of the arguments to its
right.

The charm of XXX-debugging is that it is easy to type, rarely requires
parens and stands out visually so that you remember to remove it.

XXX.pm also exports WWW, YYY and ZZZ which do similar debugging things.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING README
%license LICENSE

%changelog
* Tue Jan 21 2020 <timueller+perl@suse.de>
- updated to 0.35
  see /usr/share/doc/packages/perl-XXX/Changes
  0.35 Mon Jan 20 15:08:01 PST 2020
  - Add Perl schema to YAML::PP dumping
  0.34 Mon Jan 20 12:38:24 PST 2020
  - Use YAML::PP as default dumper
* Fri Jun 14 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.33
  see /usr/share/doc/packages/perl-XXX/Changes
  0.33 Thu 13 Jun 2019 10:17:10 PM CEST
  - Make 5.8 compatible again (TINITA)
* Thu Dec  6 2018 Stephan Kulow <coolo@suse.com>
- updated to 0.32
  see /usr/share/doc/packages/perl-XXX/Changes
  0.32 Tue Dec  4 23:29:52 CET 2018
  - Allow to specify a dump module as an environment variable PR#11, TINITA
  - Warn about deprecated options -dumper, -yaml PR#12, TINITA
* Fri Jan  6 2017 coolo@suse.com
- updated to 0.31
  see /usr/share/doc/packages/perl-XXX/Changes
  0.31 Thu Jan  5 12:07:51 PST 2017
  - Fix dumping global regex vars. @EvanCarroll++ PR/2
* Thu May  5 2016 coolo@suse.com
- updated to 0.30
  see /usr/share/doc/packages/perl-XXX/Changes
  0.30 Wed Apr 27 06:54:32 PDT 2016
  - Apply PR/9 by @mienaikage++.
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.29
  see /usr/share/doc/packages/perl-XXX/Changes
* Fri Dec  3 2010 coolo@novell.com
- initial package 0.17
  * created by cpanspec 1.78.03
